/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _SCF_H
#define _SCF_H

typedef enum {
    SCF_ST_PROBE_NULL     = 0,   /* used for sentinel purposes */
    SCF_ST_PROBE_REGISTRY = 1,
    SCF_ST_PROBE_TCPPORT  = 2
} scf_st_probe_id;

typedef struct scf_param {
    scf_st_probe_id   id;
    char             *name;   /* Must match property name in SMF manifest */
    char             *value;
} scf_param_t;


void process_smf_properties(scf_param_t *);

#endif /*_SCF_H */

